org.apache.lucene.queryParser.standard.config

## Class BoostAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.queryParser.standard.config.BoostAttributeImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, BoostAttribute, org.apache.lucene.util.Attribute

      public class BoostAttributeImpl
      extends org.apache.lucene.util.AttributeImpl
      implements BoostAttribute

  This attribute is used by `MultiFieldQueryNodeProcessor` processor and it should be defined in a `FieldConfig`. This processor uses this attribute to define which boost a specific field should have when none is defined to it.
  See Also:
    `BoostAttribute`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoostAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `copyTo(org.apache.lucene.util.AttributeImpl target)`
    `boolean` | `equals(java.lang.Object other)`
    `float` | `getBoost()`
    `int` | `hashCode()`
    `void` | `setBoost(float boost)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BoostAttributeImpl

          public BoostAttributeImpl()

  - ### Method Detail

    - #### setBoost

          public void setBoost(float boost)

      Specified by:
        `setBoost` in interface `BoostAttribute`

    - #### getBoost

          public float getBoost()

      Specified by:
        `getBoost` in interface `BoostAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `org.apache.lucene.util.AttributeImpl`

    - #### copyTo

          public void copyTo(org.apache.lucene.util.AttributeImpl target)

      Specified by:
        `copyTo` in class `org.apache.lucene.util.AttributeImpl`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in class `org.apache.lucene.util.AttributeImpl`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `org.apache.lucene.util.AttributeImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.